@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  develnext startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and DEVELNEXT_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\DevelNext.jar;%APP_HOME%\lib\jphp-gui-designer-ext-0.7.2.jar;%APP_HOME%\lib\jphp-gui-framework-0.7.2.jar;%APP_HOME%\lib\jphp-gui-desktop-ext-0.7.2.jar;%APP_HOME%\lib\jphp-game-ext-0.7.2.jar;%APP_HOME%\lib\jphp-parser-0.7.2.jar;%APP_HOME%\lib\develnext-doc-0.7.2.jar;%APP_HOME%\lib\develnext-stdlib-0.7.2.jar;%APP_HOME%\lib\jphp-xml-ext-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-json-ext-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-jsoup-ext-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-zend-ext-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-sql-ext-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-compress-ext-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-debugger-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-gui-ext-0.7.2.jar;%APP_HOME%\lib\rsyntaxtextarea-2.5.8.jar;%APP_HOME%\lib\rstaui-2.5.7.jar;%APP_HOME%\lib\autocomplete-2.5.8.jar;%APP_HOME%\lib\jphp-core-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jphp-runtime-0.7.2-SNAPSHOT.jar;%APP_HOME%\lib\jbox2d-library-2.2.1.1.jar;%APP_HOME%\lib\dyn4j-3.2.1.jar;%APP_HOME%\lib\gson-2.2.4.jar;%APP_HOME%\lib\jsoup-1.8.2.jar;%APP_HOME%\lib\HikariCP-java6-2.3.7.jar;%APP_HOME%\lib\commons-compress-1.10.jar;%APP_HOME%\lib\commons-codec-1.10.jar;%APP_HOME%\lib\asm-all-5.0.3.jar;%APP_HOME%\lib\slf4j-api-1.7.10.jar;%APP_HOME%\lib\javassist-3.19.0-GA.jar

@rem Execute develnext
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %DEVELNEXT_OPTS%  -classpath "%CLASSPATH%" php.runtime.launcher.Launcher %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable DEVELNEXT_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%DEVELNEXT_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
